'' SDL2-Example program:
'' Test program to compare the compile-time version of SDL with the linked
'' version of SDL
'' translated by TJF 2013
'/*
  'Copyright (C) 1997-2013 Sam Lantinga <slouken@libsdl.org>

  'This software is provided 'as-is', without any express or implied
  'warranty.  In no event will the authors be held liable for any damages
  'arising from the use of this software.

  'Permission is granted to anyone to use this software for any purpose,
  'including commercial applications, and to alter it and redistribute it
  'freely.
'*/

#INCLUDE ONCE "SDL2/SDL2.bi"
#INCLUDE ONCE "SDL2/SDL_revision.bi"

DIM AS SDL_version compiled
DIM AS SDL_version linked

'/* Enable standard application logging */
SDL_LogSetPriority(SDL_LOG_CATEGORY_APPLICATION, SDL_LOG_PRIORITY_INFO)

#IF SDL_VERSION_ATLEAST(2, 0, 0)
  SDL_Log(!"Compiled with SDL 2.0 or newer\n")
#ELSE
  SDL_Log(!"Compiled with SDL older than 2.0\n")
#ENDIF

SDL_VERSION_(@compiled)
SDL_Log(!"Compiled version: %d.%d.%d.%d (%s)\n", _
       compiled.major, compiled.minor, compiled.patch, _
       SDL_REVISION_NUMBER, SDL_REVISION)

SDL_GetVersion(@linked)
SDL_Log(!"Linked version: %d.%d.%d.%d (%s)\n", _
       linked.major, linked.minor, linked.patch, _
       SDL_GetRevisionNumber(), SDL_GetRevision())

SDL_Quit()
